List Agent Versions
curl --request GET \
--url 'https://api.vida.dev/api/v2/agent/{agentConfigId}/versions?token='import requests
url = "https://api.vida.dev/api/v2/agent/{agentConfigId}/versions?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.vida.dev/api/v2/agent/{agentConfigId}/versions?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"versions": [
{
"title": "Auto-1750194180352",
"versionId": 1750194180352,
"snapshot": {}
}
]
}Agents
List Agent Versions
Lists saved snapshots stored for the live configuration. Use the live agentConfigId returned by GET /api/v2/agentEventRules/default. Pass includeData=true to include each full snapshot.
GET
/
api
/
v2
/
agent
/
{agentConfigId}
/
versions
List Agent Versions
Authorizations
Vida API Token
Path Parameters
Live agent configuration ID whose saved versions should be listed.
Query Parameters
If true the response includes the entire snapshot JSON for each version.
Account that owns the agent configuration.